Welcome to EDAboard.com

Welcome to our site! EDAboard.com is an international Electronics Discussion Forum focused on EDA software, circuits, schematics, books, theory, papers, asic, pld, 8051, DSP, Network, RF, Analog Design, PCB, Service Manuals... and a whole lot more! To participate you need to register. Registration is free. Click here to register now.

RTAI 2.4.11 patch on Linux-2.4.20 help needed

Status
Not open for further replies.

johan_tr2000

Full Member level 1
Joined
Jan 7, 2002
Messages
98
Helped
2
Reputation
4
Reaction score
2
Trophy points
1,288
Activity points
763
I have install RH-8 on my PII-400 with 128MB RAM.
I want to upgrade the kernel to 2.4.20 with RTAI 2.4.11 patches.
I do this with the referece of EMC integrator handbook (on Sourceforge) with every step.
After that I try to test the "realtime" with the example in the RTAI before I install the EMC. But I alway get 2 error when "make" the example. I assume that this means I do not patch the kernell to the realtime. Did I do something wrong?

Can anybody help? Please advise.

Thank you

TR2000
 

johan_tr2000

Full Member level 1
Joined
Jan 7, 2002
Messages
98
Helped
2
Reputation
4
Reaction score
2
Trophy points
1,288
Activity points
763
Great, no help!

Thanks guys.

TR2000
 

johan_tr2000

Full Member level 1
Joined
Jan 7, 2002
Messages
98
Helped
2
Reputation
4
Reaction score
2
Trophy points
1,288
Activity points
763
At last, there is some one response the post.

Yes, you are right. I want to apply RTAI on linux kernel that I get from www.kernel.org
My aim is to install the EMC that I get from the sourgeforge site. I have follow the step on installing on RH8.0 in the hand book of EMC, but the result I can not run the samples of the RTAI nor the EMC.

Please give some advise.

Thank you anyway.

TR2000:D
 

Status
Not open for further replies.

Similar threads

Part and Inventory Search

Welcome to EDABoard.com

Sponsor

Top